#include "defs.h"

/*
 *  Notify user you wish to talk to.
 *
 *  <LH:881125:v2.0>
 */

char *
notify (how)
int	how;
{
	register struct	utmp *user;
	FILE	*fp;

	setutent ();

	while ((user = getutent ()) != NULL)	/*  search for user  */
	{
		if (!eq (user->ut_user, hisname))
			continue;

		if (!histty || eq (histty, user->ut_line))
			break;
	}

	if (!user)
		disconnect (NOT_LOGGED_IN);

	sprintf (tmp, "/dev/%s", user->ut_line);

	if ((fp = fopen (tmp, "w")) == NULL)
		disconnect (TTY_DISABLED);

	switch (how)
	{
		long curtime, time();

		case CONNECT:
			fprintf (fp, "\r\7%s (%s) is phoning - respond with 'talk %s'    \n",
					myname, fullname (myname), myname);
			break;

		case DISCONNECT:
			time (&curtime);
			fprintf (fp, "\r\7%s (%s) has stopped phoning [%s]\n",
				myname, fullname (myname), ctime (&curtime));
			break;
	}
	fclose (fp);
	return (user->ut_line);
}

